#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import utils


def setup(interactive=True):
    dir_path = utils.get_dir(__file__)
    cmds = [
        'apt-get clean',
        'apt-get update',
        'apt-get install --yes make ipython3 vim netcat git htop iotop bmon net-tools host lm-sensors pciutils nfs-client smartmontools pwgen curl python3-requests',
        # Locale
        'locale-gen en_GB.UTF-8',
        'update-locale LANG=en_GB.UTF-8 LANGUAGE=en_GB.UTF-8 LC_ALL=en_GB.UTF-8 LC_MESSAGES=en_GB.UTF-8',
        # Copy vimrc file
        'cp "%s/vimrc" "/root/.vimrc"' % dir_path,
        # Copy bashrc file
        'cp "%s/bashrc" "/root/.bashrc"' % dir_path,
        # Generate SSH key if not already done
        '[ -f /root/.ssh/id_rsa ] || ssh-keygen -b 4096 -t rsa -f /root/.ssh/id_rsa -P ""',
    ]
    utils.run_commands(cmds)
